FluxBB.fr

Le site des utilisateurs francophones de FluxBB.

Recherche rapide

Vous n'êtes pas identifié(e).

Version 1.4.13 : [.tar.gz][.zip] (maj 20/10/2014)
Pack langue française pour 1.4.x : [.zip] (maj 06/01/2012)

Branche 1.5.x : fluxbb.org
Pack langue française pour 1.5.x : [.zip] (maj 14/01/2016)

Ancienne Version 1.2.24 fr : [.zip] (maj 26/08/2011)

Vous avez un problème ?
Avant de poser votre question sur les forums d'entraide nous vous invitons à consulter :

#1 01-06-2017 15:33:01

jack31
Membre
Lieu : Luchon
Inscription : 01-06-2017
Messages : 13

[Résolu] Recherche de plugin

Bonjour, à tous, smile

Parce qu'il est léger et sympathique, je viens d'installer FluxBB 1.5.10 et passer de passionnantes longues heures à parcourir ces forums et associés (.org par exemple).

Si j'ai bien résolu grâce à cela pas mal de mes questionnements, je bloque sur une fonction qui m'arrangerait bien et le seul plugin que j'ai trouvé semble ne plus être opérationnel. :-//

Il me faudrait pouvoir envoyer des mails (ou des messages) à l'ensemble des inscrits et/ou aux différents groupes et que les inscrits puissent s'envoyer des messages entre eux.

Peut-être pourrez vous me diriger vers des plugins ou mods (je ne sais pas la différence) compatibles avec FluxBB 1.5.10 et qui feraient mon affaire.

Merci au cas où. wink

Dernière modification par jack31 (08-06-2017 18:03:50)


--
Tout va bien !
Version de FluxBB v1.5.10

Hors ligne

#2 01-06-2017 16:46:23

Otomatic
Régisseur
Lieu : Paris, France
Inscription : 12-12-2005
Messages : 3 475
Site Web

Re : [Résolu] Recherche de plugin


Ce n'est pas parce que l'erreur se propage qu'elle devient vérité. Gandhi
Sont différents : ça et sa - est et ait - à et a - ce et se - mes et mais ou met - été et était - c'est et ces - ce-si et ceci
La vie sans musique est tout simplement une erreur, une fatigue, un exil. Friedrich Nietzsche

Hors ligne

#3 01-06-2017 17:56:18

jack31
Membre
Lieu : Luchon
Inscription : 01-06-2017
Messages : 13

Re : [Résolu] Recherche de plugin

Merci Otomatic pour ces réponses. smile

Pour le premier, Email Global Plus, ça a baigné tout de suite mais pour le second, Another Private Messaging, encore peu familiarisé avec l'installation des plugins sur fluxbb, je me suis planté et j'ai mis une catastrophe. Il faut que je répare.

Après, je retenterai l’installation et reviendrai à la charge pour Another Private Messaging aprés avoir lu les 15 pages du forum de support et compris la procédure. Lol !

@+ smile


--
Tout va bien !
Version de FluxBB v1.5.10

Hors ligne

#4 02-06-2017 12:34:21

jack31
Membre
Lieu : Luchon
Inscription : 01-06-2017
Messages : 13

Re : [Résolu] Recherche de plugin

Allo ! smile

Lors de la tentative de Another Private Messaging - Topic System (APMS), MODINST m'annonce que Ce plugin ne supporte pas explicitement votre version 1.5.10 de FluxBB. Ce plugin supporte les versions 1.4.6, 1.4.7, 1.4.8, 1.5.0, 1.5.1, 1.5.2, 1.5.3, 1.5.4, 1.5.5, 1.5.6, 1.5.7, 1.5.8 de FluxBB.

Puis, en cliquant sur "modifier", il me raconte...

    Version de la mod : 3.0.9 du 2015-01-29 par adaur
    Première installation de cette version de la mod le 02/06/2017 à 13:20
    État de la mod : 
    Le fichier de configuration de la mod APMS indique Installée
    La modification APMS est installée sur le fichier : header.php
    La modification APMS est installée sur le fichier : profile.php
    La modification APMS est installée sur le fichier : include/common.php
    La modification APMS est installée sur le fichier : header.php
    La modification APMS est installée sur le fichier : viewtopic.php
    La modification APMS est installée sur le fichier : profile.php
    La modification APMS est installée sur le fichier : include/functions.php
    La mod APMS semble correctement installée.

Attention : La modification que vous allez installer ne supporte pas explicitement votre version 1.5.10 de FluxBB. Cette modification supporte les versions 1.5.8 de FluxBB. Si vous avez des doutes sur l'installation en raison de ce conflit de version, contactez l'auteur

Ensuite, si j'insiste en cliquant sur "Private messaging" dans le menu de gauche, il me dirige vers une page /admin_loader.php?plugin=AP_Private_messaging.php


An error was encountered
Error: Unable to find usergroup list.


Cela veut dire qu'il n'est pas compatible avec la version 1.5.10 de FluxBB et il y a-il un espoir de modifier le code ou dois-je faire une croix dessus ?

Au cas où, un autre du même style peut-être ? wink

Dernière modification par jack31 (02-06-2017 12:40:18)


--
Tout va bien !
Version de FluxBB v1.5.10

Hors ligne

#5 02-06-2017 13:16:13

jack31
Membre
Lieu : Luchon
Inscription : 01-06-2017
Messages : 13

Re : [Résolu] Recherche de plugin

A la désactivation de Another Private Messaging, j'ai le message...

La modification APMS n'est pas installée.

C’est quoi la La modification APMS ?


--
Tout va bien !
Version de FluxBB v1.5.10

Hors ligne

#6 02-06-2017 14:15:26

Otomatic
Régisseur
Lieu : Paris, France
Inscription : 12-12-2005
Messages : 3 475
Site Web

Re : [Résolu] Recherche de plugin

Bonjour,

APMS = Another Private Messaging System

Pour rendre l'installation « compatible » avec FluxBB 1.5.10, il faut explicitement le déclarer dans le fichier plugins\apms\mod_config.php en ajoutant la version 1.5.10, par exemple :

  'fluxbb_versions' => 
  array (
    0 => '1.5.8',
    1 => '1.5.10',
  ),
 

mais sans aucune garantie que cela fonctionne correctement.


Ce n'est pas parce que l'erreur se propage qu'elle devient vérité. Gandhi
Sont différents : ça et sa - est et ait - à et a - ce et se - mes et mais ou met - été et était - c'est et ces - ce-si et ceci
La vie sans musique est tout simplement une erreur, une fatigue, un exil. Friedrich Nietzsche

Hors ligne

#7 02-06-2017 14:32:47

jack31
Membre
Lieu : Luchon
Inscription : 01-06-2017
Messages : 13

Re : [Résolu] Recherche de plugin

Merci Otomatic mais, si il y a du mieux, j'ai toujours le message...

Attention : Ce plugin ne supporte pas explicitement votre version 1.5.10 de FluxBB. Ce plugin supporte les versions 1.4.6, 1.4.7, 1.4.8, 1.5.0, 1.5.1, 1.5.2, 1.5.3, 1.5.4, 1.5.5, 1.5.6, 1.5.7, 1.5.8 de FluxBB. Si vous avez des doutes sur son fonctionnement en raison de ce conflit de version, contactez l'auteur

Mon plugins\apms\mod_config.php est maintenant...

<?php

$mod_config = array (
  'mod_name' => 'Another Private Messaging - Topic System',
  'version' => '3.0.9',
  'release_date' => '2015-01-29',
  'author' => 'adaur',
  'mod_installer' => 'OK',
  'fluxbb_versions' => 
  array (
    0 => '1.5.8',
    1 => '1.5.10',
  ),
  'date_install' => 1496402421,
  'mod_status' => 1,
  'mod_abbr' => 'APMS',
);

?>

... et le clic sur  Private messaging  me donne toujours un...


An error was encountered
Error: Unable to find usergroup list.


--
Tout va bien !
Version de FluxBB v1.5.10

Hors ligne

#8 02-06-2017 15:55:23

Otomatic
Régisseur
Lieu : Paris, France
Inscription : 12-12-2005
Messages : 3 475
Site Web

Re : [Résolu] Recherche de plugin

Bonjour,

Attention : Ce plugin ne supporte pas explicitement votre version 1.5.10 de FluxBB. Ce plugin supporte les versions 1.4.6, 1.4.7, 1.4.8, 1.5.0, 1.5.1, 1.5.2, 1.5.3, 1.5.4, 1.5.5, 1.5.6, 1.5.7, 1.5.8 de FluxBB. Si vous avez des doutes sur son fonctionnement en raison de ce conflit de version, contactez l'auteur

Parce que vous n'avez pas la dernière version de Mod Installer. Vous devez avoir la version 1.0.17 alors qu'il faudrait la version 1.0.19 : Voir http://fluxbb.fr/forums/viewtopic.php?p … 03#p113803


Ce n'est pas parce que l'erreur se propage qu'elle devient vérité. Gandhi
Sont différents : ça et sa - est et ait - à et a - ce et se - mes et mais ou met - été et était - c'est et ces - ce-si et ceci
La vie sans musique est tout simplement une erreur, une fatigue, un exil. Friedrich Nietzsche

Hors ligne

#9 02-06-2017 16:24:15

jack31
Membre
Lieu : Luchon
Inscription : 01-06-2017
Messages : 13

Re : [Résolu] Recherche de plugin

Négatif ! J'ai la 1.0.19.


--
Tout va bien !
Version de FluxBB v1.5.10

Hors ligne

#10 02-06-2017 18:08:27

Otomatic
Régisseur
Lieu : Paris, France
Inscription : 12-12-2005
Messages : 3 475
Site Web

Re : [Résolu] Recherche de plugin

Bonsoir,

Le fichier forum\plugins\mod_installer\plugin_config.php doit contenir explicitement '1.5.10' dans le sous-tableau 'fluxbb_versions'
Attention : APMS 3.0.9 est livré avec mod_installer 1.0.17 !


Ce n'est pas parce que l'erreur se propage qu'elle devient vérité. Gandhi
Sont différents : ça et sa - est et ait - à et a - ce et se - mes et mais ou met - été et était - c'est et ces - ce-si et ceci
La vie sans musique est tout simplement une erreur, une fatigue, un exil. Friedrich Nietzsche

Hors ligne

#11 02-06-2017 21:38:27

jack31
Membre
Lieu : Luchon
Inscription : 01-06-2017
Messages : 13

Re : [Résolu] Recherche de plugin

J'ai rajouté 12 => '1.5.10', dans le fichier forum\plugins\mod_installer\plugin_config.php. Est-ce exact ?

<?php

$installer_config = array (
  'plugin_name' => 'Modification Installer',
  'version' => '1.0.17',
  'release_date' => '2015-01-23',
  'author' => 'Otomatic - Fluxbb.fr',
  'plugin_abbr' => 'MODINST',
  'fluxbb_versions' =>
   array (
    0 => '1.4.6',
    1 => '1.4.7',
    2 => '1.4.8',
    3 => '1.5.0',
    4 => '1.5.1',
    5 => '1.5.2',
    6 => '1.5.3',
    7 => '1.5.4',
    8 => '1.5.5',
    9 => '1.5.6',
    10 => '1.5.7',
    11 => '1.5.8',
    12 => '1.5.10',
   ),
);

?>

Le fichier monforum/plugins/apms/AMPM_instal.txt parle bien de Version: 3.0.9.

#--- MOD Another Private Messaging - Topic System (APMS)
Version: 3.0.9
Release date: 2015-01-29
Permet aux membres de s'envoyer des messages sous forme de topics dans le forum.

Pour info, Another Private Messaging activé me donne

An error was encountered
Error: Unable to find usergroup list.

...quand je clique sur Private messaging et

An error was encountered
Error: Unable to fetch user info.

...si j'essaie de voir un membre.

Ce qui n'arrive pas si je désactive Another Private Messaging


--
Tout va bien !
Version de FluxBB v1.5.10

Hors ligne

#12 08-06-2017 18:03:31

jack31
Membre
Lieu : Luchon
Inscription : 01-06-2017
Messages : 13

Re : [Résolu] Recherche de plugin

Bonjour,

J'abandonne Another Private Messaging puisque Email Global Plus fonctionne à merveille et, après vous avoir remercié pour votre aide passe le topic en [Résolu]


--
Tout va bien !
Version de FluxBB v1.5.10

Hors ligne

Pied de page des forums